<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from linalg_hbandL.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="linalg_hbandL" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>linalg_hbandL</refname><refpurpose>Converts a complex hermitian band matrix into its compact form.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   AHLband = linalg_hbandL(Afull,nsubdiag)

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>Afull :</term>
      <listitem><para> a n-by-n matrix of complex doubles</para></listitem></varlistentry>
   <varlistentry><term>nsubdiag :</term>
      <listitem><para> a 1-by-1 matrix of doubles, integer value, positive, the number of non-null subdiagonals of Afull</para></listitem></varlistentry>
   <varlistentry><term>AHLband :</term>
      <listitem><para> a nsubdiag+1-by-n matrix of doubles, the Hermitian Band Lower storage format of Afull.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Transforms a complex Hermitian Band matrix into its compact form suitable for the zhbev algorithm.
We store in AB only the lower triangular part of the full matrix A.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
Afull = [
3 1+7*%i 0
1-7*%i 4 -2-8*%i
0 -2+8*%i -12
];
nsubdiag = 1;
AHLband=linalg_hbandL(Afull,nsubdiag)
expected = [ 3, 4,-12;1-%i*7,-2+%i*8,0]

// Combine hbandL and zhbev
// Create a n-by-n Hermitian matrix.
n = 50;
nsubdiag = 5;
Ar = zeros(n,n);
for i = 1 : n
j = (i:i+nsubdiag-1);
j = max(min(j,n),1);
Ar(i,j) = j;
end
Ai = zeros(n,n);
for i = 1 : n
j = (i:i+nsubdiag-1);
j = max(min(j,n),1);
Ai(i,j) = j;
end
Afull = (Ar+%i*Ai) + (Ar'-%i*Ai');
// Convert it into band-form
AHLband=linalg_hbandL(Afull,nsubdiag);
// Use zhbev
D = linalg_zhbev ( AHLband );
D = gsort(D,"g","i");
// Compare with spec
Dfull = spec(Afull);
Dfull = gsort(Dfull,"g","i");
// Display relative error : rtol should be from 10 to 1000
rtol = max(abs(D-Dfull)./abs(D)/%eps)

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2010 - 2011 - DIGITEO - Michael Baudin</member>
   <member>Copyright (C) 2010 - Sylvan Brocard</member>
   </simplelist>
</refsection>
</refentry>
